Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 622753 - Maybe missing dependency
Maybe missing dependency
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: codeblocks (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-10 06:58 EDT by Stefan Bradl
Modified: 2011-06-28 10:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 10:46:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Bradl 2010-08-10 06:58:24 EDT
Codeblocks uses xterm as the default terminal emulator to run compiled programs.
Because xterm is not installed when you install codeblocks you are not able to run programs.

This could be fixed by having codeblocks depend on xterm.
Comment 1 Fedora Update System 2010-08-30 15:50:47 EDT
codeblocks-10.05-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/codeblocks-10.05-4.fc14
Comment 2 Fedora Update System 2010-09-14 01:05:53 EDT
codeblocks-10.05-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Yijun Yuan 2010-09-29 02:38:26 EDT
gnome-terminal is the default terminal, codeblocks should use some XDG routines to start terminal or get patched. Is it because gnome-terminal too slow? But it is not that slow nowadays.
Comment 4 Dan Horák 2010-09-29 07:06:32 EDT
Please open this question at http://forums.codeblocks.org/index.php and patches are welcome. Using XDG should be preferred because gnome-terminal is default only in GNOME, not in KDE or other DEs.
Comment 5 Keith Dickmann 2010-11-07 01:05:02 EST
xterm shouldn't be a dependency as it is not required. code::blocks can easily use gnome terminal as the default terminal. Just go to Settings>Environment and where is says 'Terminal to launch console programs' put 'gnome-terminal -x'
Comment 6 Bug Zapper 2011-06-01 07:45:19 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2011-06-28 10:46:03 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.